#
# build with 'rpmbuild --define "kernel <version>" -ba [--target i686]'  if necessary
#

%{!?kernel:%define kernel %( uname -r )}

Name: kernel-module-ixgbe-%{kernel}
Summary: Intel(R) 10GbE PCI Express Ethernet Connection driver for Silicom cards
Version: 2.0.44
Release: silicom.1.slc5
Epoch: 0
Source: ixgbe-%{version}.tgz
Patch100: ixgbe-2.0.44-silicom.broken.fc.patch
Packager: Jaroslaw.Polok@cern.ch
Vendor: CERN, http://cern.ch/linux
License: GPL
ExclusiveArch: i686 x86_64
ExclusiveOS: linux
Group: System Environment/Kernel
Provides: %{name}
URL: http://www.intel.com/network/connectivity/products/server_adapters.htm
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kernel-devel = %{kernel}

Requires: kernel-%{_target_cpu} = %{kernel}
Provides: kernel-module
Provides: kernel-module-ixgbe = %{epoch}:%{version}-%{release}


%description
This package contains the Linux driver for the Intel(R) 10GbE PCI 
Express Family of Server Adapters from Silicom.

NOTE: this driver DIFFERS from the 2.0.44 in-kernel one:
      it may NOT work correctly on Intel based 10GbE cards
      from manufactures different than Silicom.


%package -n ixgbe-driver
Summary: Intel(R) 10GbE PCI Express Ethernet Connection driver from Silicom
Group: System Environment/Kernel
Requires: kernel-module-ixgbe

%description -n ixgbe-driver
This package contains the Linux driver for the Intel(R) 10GbE PCI
Express Family of Server Adapters.

NOTE: this driver DIFFERS from the 2.0.44 in-kernel one:
      it may NOT work correctly on Intel based 10GbE cards
      from manufactures different than Silicom.


(you will also need kernel-module-ixgbe package(s))


%prep
%setup -n ixgbe-%{version}
%patch100 -p1

%build

make -C /lib/modules/%{kernel}/build KVER=%{kernel} M=`pwd` modules 


%install

/bin/rm -rf %{buildroot}/lib

%{__install} -d -m0755 %{buildroot}/lib/modules/%{kernel}/extra/ixgbe
%{__install} -m0644 ixgbe.ko %{buildroot}/lib/modules/%{kernel}/extra/ixgbe/
%clean

rm -rf %{buildroot}/*

%files 
%defattr(-,root,root)
/lib/modules/%{kernel}/extra/ixgbe/ixgbe.ko

%files -n ixgbe-driver
%defattr(-,root,root)

%post
/sbin/depmod -aeF /boot/System.map-%{kernel} %{kernel} > /dev/null || :
/sbin/mkinitrd --allow-missing -f /boot/initrd-%{kernel}.img %{kernel} > /dev/null || :

%postun
/sbin/depmod -aeF /boot/System.map-%{kernel} %{kernel} > /dev/null || :
/sbin/mkinitrd --allow-missing -f /boot/initrd-%{kernel}.img %{kernel} > /dev/null || :

%changelog
* Thu Apr 08 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 2.0.44-silicom
- special version for Silicom cards.

* Tue Sep 30 2008 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 
- initial release for SLC5.
- chnaged Intel provided specfile.

